package com.qmth.distributed.print.business.bean.params.analyze;

import com.qmth.teachcloud.common.enums.DimensionEnum;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 成绩分析 - 维度参数
 * @Author: CaoZixuan
 * @Date: 2022-06-02
 */
public class GradePaperDimensionParam {
    @ApiModelProperty(value = "试卷编号")
    @NotNull(message = "缺少试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    @NotNull(message = "缺少试卷类型")
    private String paperType;

    @ApiModelProperty(value = "试卷名称")
    @NotNull(message = "缺少试卷名称")
    private String paperName;

    @ApiModelProperty(value = "维度类型 - 知识，能力，素养")
    @NotNull(message = "缺少维度类型")
    private DimensionEnum dimensionType;

    @ApiModelProperty(value = "成绩分析课程维度数据源")
    @NotNull(message = "缺少试卷维度")
    private List<GradePaperDimensionDatasource> datasource;

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public DimensionEnum getDimensionType() {
        return dimensionType;
    }

    public void setDimensionType(DimensionEnum dimensionType) {
        this.dimensionType = dimensionType;
    }

    public List<GradePaperDimensionDatasource> getDatasource() {
        return datasource;
    }

    public void setDatasource(List<GradePaperDimensionDatasource> datasource) {
        this.datasource = datasource;
    }
}
